import { useParams } from "@solidjs/router";
import { JSXElement, Show, Suspense, createResource } from "solid-js";
import { getPost } from "./api";
import { PostSegment } from "./Posts";
import { loadSpinner } from "./Icons";

export function SinglePost(): JSXElement {
  const params = useParams();
  const [post] = createResource(params.postid, getPost);

  return (
    <Suspense fallback={loadSpinner()}>
        <Show when={post()}>
          <PostSegment post={post()!}></PostSegment>
        </Show>
    </Suspense>
  );
}
